Page MenuHomePhabricator

Pywikibot-catimages: Meeting 2 - 7 May 2016 - 12:30 UTC
Closed, ResolvedPublic

Description

Date: 7 May 2016
Time: 12:30 UTC
Type: Chat on IRC channel #gsoc-catimages

Description: 2nd meeting to discuss the projects progress and talk about the plan

Agenda:

  • Consensus on plan and timeline (project plan)
  • Progress:
    • community bonding; pywikibot, commons
    • invalid file types: T129845, T131934, category?
    • unidentified people (Faces, People): Category:Unidentified people
    • portrait vs. landscape detection: autorotation for photos, category?
    • goal to reach about 100-1000 edits per day (from wikilabs or local machine?)
  • Start by separating catimages bot and "catimages framework" (file-metadata)

Minutes of the Meeting:

  • Decisions taken regarding proposal:
    • Use pip wherever possible (confer to "externals" related meeting)
    • Use annotation tool if recommended by commons community (e.g. rillke) and can replace ALL functions needed
  • Additional Community Bonding tasks:
  • Need to have another meeting for:
    • How to handle non-python packages and packages that cannot be made into a python package using ctypes, etc. Also, how to handle non-pip things like exiftool, opencv etc ?
      • Just throw an error ?
      • externals module put into own python package:
        • "auto-deps-resolver": find, download and install binaries, special python module versions, apply patches, etc. through system package manager or from web directly - see "externals" module
        • "auto-deps-compiler": another package for compiling C/C++ code and using since one main concern was to have an infrastructure that allows to use the newest experimental packages as well (e.g. the C code make and compile functionallity) that is available some specific interface (e.g. C) only - we should still support this in an python module that allows to do that for any chosen code

Event Timeline

DrTrigon created this task.May 1 2016, 5:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 1 2016, 5:43 PM
DrTrigon updated the task description. (Show Details)May 1 2016, 5:44 PM
DrTrigon updated the task description. (Show Details)May 1 2016, 6:28 PM
AbdealiJK updated the task description. (Show Details)May 2 2016, 1:10 AM
DrTrigon updated the task description. (Show Details)May 7 2016, 12:34 PM
DrTrigon updated the task description. (Show Details)May 7 2016, 3:56 PM
DrTrigon closed this task as Resolved.May 7 2016, 4:02 PM
DrTrigon claimed this task.
DrTrigon updated the task description. (Show Details)
AbdealiJK updated the task description. (Show Details)May 7 2016, 4:57 PM
AbdealiJK updated the task description. (Show Details)May 7 2016, 5:00 PM
DrTrigon updated the task description. (Show Details)May 7 2016, 7:06 PM